summaryrefslogtreecommitdiff
path: root/testprogs/blackbox/test_ktpass.sh
diff options
context:
space:
mode:
authorAndrew Tridgell <tridge@samba.org>2011-02-03 17:30:53 +1100
committerAndrew Tridgell <tridge@samba.org>2011-02-07 13:22:00 +1100
commitb49973404c4afb6e3f04a37f002655a3157542e3 (patch)
tree6ac03b3987b8a71f1f986d2117854336e7b58dbe /testprogs/blackbox/test_ktpass.sh
parent6484da4859fe9b00a7129d89e185bb7947621243 (diff)
downloadsamba-b49973404c4afb6e3f04a37f002655a3157542e3.tar.gz
samba-b49973404c4afb6e3f04a37f002655a3157542e3.tar.bz2
samba-b49973404c4afb6e3f04a37f002655a3157542e3.zip
blackbox: removed assumption of build directory
this fixes the blackbox tests for a top level build Pair-Programmed-With: Andrew Bartlett <abartlet@samba.org>
Diffstat (limited to 'testprogs/blackbox/test_ktpass.sh')
-rwxr-xr-xtestprogs/blackbox/test_ktpass.sh3
1 files changed, 2 insertions, 1 deletions
diff --git a/testprogs/blackbox/test_ktpass.sh b/testprogs/blackbox/test_ktpass.sh
index 579389f97e..c44439544b 100755
--- a/testprogs/blackbox/test_ktpass.sh
+++ b/testprogs/blackbox/test_ktpass.sh
@@ -15,6 +15,7 @@ shift 1
samba_tool="$BUILDDIR/bin/samba-tool"
samba4bindir="$BUILDDIR/bin"
+samba4srcdir="$SRCDIR/source4"
samba4kinit="$samba4bindir/samba4kinit$EXEEXT"
CONFIG="--configfile=$PREFIX/dc/etc/smb.conf"
@@ -26,7 +27,7 @@ KRB5CCNAME="$PREFIX/tmpccache"
export KRB5CCNAME
echo "testp@ssw0Rd" >$PREFIX/tmppassfile
testit "kinit with passwd" $samba4kinit -e arcfour-hmac-md5 --password-file=$PREFIX/tmppassfile $TESTUSER@SAMBA.EXAMPLE.COM || failed=`expr $failed + 1`
-testit "ktpass" $BUILDDIR/scripting/bin/ktpass.sh --host LOCALDC --out $PREFIX/testuser.kt --princ $TESTUSER --pass "testp@ssw0Rd" --path-to-ldbsearch=$BUILDDIR/bin|| failed=`expr $failed + 1`
+testit "ktpass" $samba4srcdir/scripting/bin/ktpass.sh --host LOCALDC --out $PREFIX/testuser.kt --princ $TESTUSER --pass "testp@ssw0Rd" --path-to-ldbsearch=$BUILDDIR/bin|| failed=`expr $failed + 1`
rm -f $KRB5CCNAME